#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
  ${YAZ_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### fetch (static) ############################

tde_add_library( fetch STATIC_PIC AUTOMOC
  SOURCES
    amazonfetcher.cpp animenfofetcher.cpp arxivfetcher.cpp
    bibsonomyfetcher.cpp citebasefetcher.cpp configwidget.cpp crossreffetcher.cpp
    discogsfetcher.cpp entrezfetcher.cpp execexternalfetcher.cpp fetcher.cpp fetchmanager.cpp
    gcstarpluginfetcher.cpp googlescholarfetcher.cpp ibsfetcher.cpp imdbfetcher.cpp
    isbndbfetcher.cpp messagehandler.cpp srufetcher.cpp yahoofetcher.cpp z3950connection.cpp
    z3950fetcher.cpp amazonrequest.cpp hmac_sha2.c sha2.c
  LINK
    gui-static
)


##### other data ################################
install(
  FILES z3950-servers.cfg
  DESTINATION ${DATA_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)


##### directories ###############################

add_subdirectory( scripts )
